Attribute VB_Name = "modMain"
Option Explicit

Private Sub Main()

    Dim rom_dir         As String
    Dim current_rom     As String
    Dim rom_list()      As String
    Dim rom_list_file   As String
    Dim i               As Integer
    Dim filter          As String
    
    'open the folder dialog
    rom_dir = BrowseForFolder
    If rom_dir = "" Then End
    
    'get the first rom in the folder
    current_rom = Dir(rom_dir & "\", vbArchive + vbNormal + vbReadOnly)
    
    'initialize the rom count
    i = 1
    
    'build rom_list.txt
    Do
        ReDim Preserve rom_list(i - 1)
        rom_list(i - 1) = Format(i, "00000") & ".a26 " & GetFileTitleNoExtension(current_rom)
        Name rom_dir & "\" & current_rom As rom_dir & "\" & Format(i, "00000") & ".a26"
        current_rom = Dir
        i = i + 1
    Loop Until current_rom = ""
    
    'open the save dialog
    filter = Replace("Text files (*.txt)|*.txt|All files (*.*)|*.*", "|", Chr(0))
    rom_list_file = ShowSave(filter, OVERWRITEPROMPT)
    If rom_list_file = "" Then End
    
    'save the rom list
    Open rom_list_file For Output As #1
        For i = 0 To UBound(rom_list)
            Print #1, rom_list(i)
        Next i
    Close #1
    
    'all done!
    Call MsgBox("The rom list was successfully built!", , "Success")
    End
        
End Sub
